<div class="panel-left">
  <ng-content select="[projection=actions]"></ng-content>
</div>
<div class="panel-center full-width">
  @if (entityPath) {
    <span class="path-header" [attr.data-test-field-id]="'entity-path'">{{
      entityPath
    }}</span>
  }
  <div class="title">
    @if (displayDefaultTitle) {
      <sqtm-core-editable-text-field
        class="entity-name"
        #titleComponent
        [attr.data-test-field-id]="'entity-name'"
        [sqtmCoreEntityViewEditableTextField]="'name'"
        [editable]="nameEditable"
        [required]="true"
        [trimValue]="true"
        [layout]="'compact'"
        [size]="'large'"
      >
      </sqtm-core-editable-text-field>
    }
    <ng-content select="[projection=customTitle]"></ng-content>
  </div>
  <div class="header-content">
    <ng-content select="[projection=reference]"></ng-content>
    <ng-content select="[projection=capsule]"></ng-content>
    <ng-content select="[projection=error-message]"></ng-content>
  </div>
</div>
<div class="panel-right flex-fixed-size">
  <div class="flex-row m-l-auto">
    <ng-content select="[projection=notifications]"></ng-content>
    <div class="more-icon m-r-5">
      <ng-content select="[projection=menu]"></ng-content>
    </div>
  </div>
  @if (hasAttachmentList) {
    <div class="attachment-icon">
      <nz-badge
        [@.disabled]="true"
        [nzCount]="attachmentCount"
        [nzStyle]="{ backgroundColor: '#fff', color: '#000' }"
        (click)="attachmentBadgeClick()"
      >
        <i
          nz-icon
          nzTheme="outline"
          nzType="sqtm-core-generic:attachments"
          style="font-size: 30px"
          class="current-workspace-button"
        ></i>
      </nz-badge>
    </div>
  }
</div>
